# petsc4py.PETSc.Vec.Type

class petsc4py.PETSc.Vec.Type

  Bases: `object`

  The vector type.

  Attributes Summary

  `CUDA` | Object `CUDA` of type `str`
  `HIP` | Object `HIP` of type `str`
  `KOKKOS` | Object `KOKKOS` of type `str`
  `MPI` | Object `MPI` of type `str`
  `MPICUDA` | Object `MPICUDA` of type `str`
  `MPIHIP` | Object `MPIHIP` of type `str`
  `MPIKOKKOS` | Object `MPIKOKKOS` of type `str`
  `MPIVIENNACL` | Object `MPIVIENNACL` of type `str`
  `NEST` | Object `NEST` of type `str`
  `SEQ` | Object `SEQ` of type `str`
  `SEQCUDA` | Object `SEQCUDA` of type `str`
  `SEQHIP` | Object `SEQHIP` of type `str`
  `SEQKOKKOS` | Object `SEQKOKKOS` of type `str`
  `SEQVIENNACL` | Object `SEQVIENNACL` of type `str`
  `SHARED` | Object `SHARED` of type `str`
  `STANDARD` | Object `STANDARD` of type `str`
  `VIENNACL` | Object `VIENNACL` of type `str`

  Attributes Documentation

  CUDA: str = CUDA

    Object `CUDA` of type `str`

  HIP: str = HIP

    Object `HIP` of type `str`

  KOKKOS: str = KOKKOS

    Object `KOKKOS` of type `str`

  MPI: str = MPI

    Object `MPI` of type `str`

  MPICUDA: str = MPICUDA

    Object `MPICUDA` of type `str`

  MPIHIP: str = MPIHIP

    Object `MPIHIP` of type `str`

  MPIKOKKOS: str = MPIKOKKOS

    Object `MPIKOKKOS` of type `str`

  MPIVIENNACL: str = MPIVIENNACL

    Object `MPIVIENNACL` of type `str`

  NEST: str = NEST

    Object `NEST` of type `str`

  SEQ: str = SEQ

    Object `SEQ` of type `str`

  SEQCUDA: str = SEQCUDA

    Object `SEQCUDA` of type `str`

  SEQHIP: str = SEQHIP

    Object `SEQHIP` of type `str`

  SEQKOKKOS: str = SEQKOKKOS

    Object `SEQKOKKOS` of type `str`

  SEQVIENNACL: str = SEQVIENNACL

    Object `SEQVIENNACL` of type `str`

  SHARED: str = SHARED

    Object `SHARED` of type `str`

  STANDARD: str = STANDARD

    Object `STANDARD` of type `str`

  VIENNACL: str = VIENNACL

    Object `VIENNACL` of type `str`